<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=9"/>
    <meta name="generator" content="Doxygen 1.8.11"/>
    <title>LibraryMgr: models/Database/DatabaseItem/DatabaseItem.h Source File</title>
    <link href="tabs.css" rel="stylesheet" type="text/css"/>
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
    <link href="navtree.css" rel="stylesheet" type="text/css"/>
    <script type="text/javascript" src="resize.js"></script>
    <script type="text/javascript" src="navtreedata.js"></script>
    <script type="text/javascript" src="navtree.js"></script>
    <script type="text/javascript">
        $(document).ready(initResizable);
        $(window).load(resizeHeight);
    </script>
    <link href="search/search.css" rel="stylesheet" type="text/css"/>
    <script type="text/javascript" src="search/searchdata.js"></script>
    <script type="text/javascript" src="search/search.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            init_search();
        });
    </script>
    <link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
    <div id="titlearea">
        <table cellspacing="0" cellpadding="0">
            <tbody>
            <tr style="height: 56px;">
                <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
                <td id="projectalign" style="padding-left: 0.5em;">
                    <div id="projectname">LibraryMgr
                        &#160;<span id="projectnumber">0.4</span>
                    </div>
                    <div id="projectbrief">Library manager desktop app</div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- end header part -->
    <!-- Generated by Doxygen 1.8.11 -->
    <script type="text/javascript">
        var searchBox = new SearchBox("searchBox", "search", false, 'Search');
    </script>
    <div id="navrow1" class="tabs">
        <ul class="tablist">
            <li><a href="index.html"><span>Main&#160;Page</span></a></li>
            <li><a href="annotated.html"><span>Classes</span></a></li>
            <li class="current"><a href="files.html"><span>Files</span></a></li>
            <li>
                <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
                 onfocus="searchBox.OnSearchFieldFocus(true)"
                 onblur="searchBox.OnSearchFieldFocus(false)"
                 onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0"
                                                                                       src="search/close.png"
                                                                                       alt=""/></a>
          </span>
                </div>
            </li>
        </ul>
    </div>
    <div id="navrow2" class="tabs2">
        <ul class="tablist">
            <li><a href="files.html"><span>File&#160;List</span></a></li>
        </ul>
    </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
    <div id="nav-tree">
        <div id="nav-tree-contents">
            <div id="nav-sync" class="sync"></div>
    </div>
    </div>
    <div id="splitbar" style="-moz-user-select:none;"
         class="ui-resizable-handle">
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        initNavTree('_database_item_8h_source.html', '');
    });
</script>
<div id="doc-content">
    <!-- window showing the filter options -->
    <div id="MSearchSelectWindow"
         onmouseover="return searchBox.OnSearchSelectShow()"
         onmouseout="return searchBox.OnSearchSelectHide()"
         onkeydown="return searchBox.OnSearchSelectKey(event)">
    </div>

    <!-- iframe showing the search results (closed by default) -->
    <div id="MSearchResultsWindow">
        <iframe src="javascript:void(0)" frameborder="0"
                name="MSearchResults" id="MSearchResults">
        </iframe>
    </div>

    <div class="header">
        <div class="headertitle">
            <div class="title">DatabaseItem.h</div>
        </div>
    </div><!--header-->
    <div class="contents">
        <div class="fragment">
            <div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
            <div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_DATABASEITEM_H</span>
            </div>
            <div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_DATABASEITEM_H</span>
            </div>
            <div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
            <div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
            <div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span>
            </div>
            <div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div>
            <div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span
                    class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt;</div>
            <div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="class_database_item.html">   28</a></span>&#160;<span
                    class="keyword">class </span><a class="code" href="class_database_item.html">DatabaseItem</a> {
            </div>
            <div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span
                    class="keyword">public</span>:
            </div>
            <div class="line"><a name="l00035"></a><span class="lineno"><a class="line"
                                                                           href="class_database_item.html#a2909c438c076478aa1c42e805b0d10ac">   35</a></span>&#160;
                <a class="code" href="class_database_item.html#a2909c438c076478aa1c42e805b0d10ac">DatabaseItem</a>(T
                value) : value(value) {}
            </div>
            <div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
            <div class="line"><a name="l00042"></a><span class="lineno"><a class="line"
                                                                           href="class_database_item.html#a1e173bac12d68b463ffe0da44cf0fd01">   42</a></span>&#160;
                <a class="code" href="class_database_item.html#a1e173bac12d68b463ffe0da44cf0fd01">DatabaseItem</a>(<a
                        class="code" href="class_database_item.html">DatabaseItem</a> &amp;d) : value(d.value) {}
            </div>
            <div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
            <div class="line"><a name="l00047"></a><span class="lineno"><a class="line"
                                                                           href="class_database_item.html#afc5647cece99a48f944c8a6daff72f76">   47</a></span>&#160;
                <a class="code" href="class_database_item.html#afc5647cece99a48f944c8a6daff72f76">~DatabaseItem</a>() {}
            </div>
            <div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
            <div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; <span class="comment">// operators</span>
            </div>
            <div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
            <div class="line"><a name="l00056"></a><span class="lineno"><a class="line"
                                                                           href="class_database_item.html#a58fae12dad2ba8fa7447c69b0897b86c">   56</a></span>&#160;
                <span class="keywordtype">bool</span> <a class="code"
                                                         href="class_database_item.html#a58fae12dad2ba8fa7447c69b0897b86c">operator==</a>(<span
                        class="keyword">const</span> <a class="code" href="class_database_item.html">DatabaseItem</a>
                &amp;other)<span class="keyword"> const </span>{
            </div>
            <div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; <span class="keywordflow">return</span>
                *value == *other.value;
            </div>
            <div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; }</div>
            <div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
            <div class="line"><a name="l00066"></a><span class="lineno"><a class="line"
                                                                           href="class_database_item.html#af68fc3cdc39ccceb062d7b4daea86ce9">   66</a></span>&#160;
                <span class="keyword">friend</span> std::ostream &amp;operator&lt;&lt;(std::ostream &amp;out, const
                DatabaseItem&lt;T&gt; &amp;databaseItem) {
            </div>
            <div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; <span class="keywordflow">return</span>
                out &lt;&lt; databaseItem.value;
            </div>
            <div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; }</div>
            <div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
            <div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span
                    class="keyword">private</span>:
            </div>
            <div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; T value;</div>
            <div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;};</div>
            <div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
            <div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
            <div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_DATABASEITEM_H</span>
            </div>
            <div class="ttc" id="class_database_item_html_afc5647cece99a48f944c8a6daff72f76">
                <div class="ttname"><a href="class_database_item.html#afc5647cece99a48f944c8a6daff72f76">DatabaseItem::~DatabaseItem</a>
                </div>
                <div class="ttdeci">~DatabaseItem()</div>
                <div class="ttdoc">~DatabaseItem delete database item</div>
                <div class="ttdef"><b>Definition:</b> DatabaseItem.h:47</div>
            </div>
            <div class="ttc" id="class_database_item_html">
                <div class="ttname"><a href="class_database_item.html">DatabaseItem</a></div>
                <div class="ttdef"><b>Definition:</b> DatabaseItem.h:28</div>
            </div>
            <div class="ttc" id="class_database_item_html_a2909c438c076478aa1c42e805b0d10ac">
                <div class="ttname"><a href="class_database_item.html#a2909c438c076478aa1c42e805b0d10ac">DatabaseItem::DatabaseItem</a>
                </div>
                <div class="ttdeci">DatabaseItem(T value)</div>
                <div class="ttdoc">Database new database from scratch.</div>
                <div class="ttdef"><b>Definition:</b> DatabaseItem.h:35</div>
            </div>
            <div class="ttc" id="class_database_item_html_a58fae12dad2ba8fa7447c69b0897b86c">
                <div class="ttname"><a href="class_database_item.html#a58fae12dad2ba8fa7447c69b0897b86c">DatabaseItem::operator==</a>
                </div>
                <div class="ttdeci">bool operator==(const DatabaseItem &amp;other) const</div>
                <div class="ttdoc">equals other item</div>
                <div class="ttdef"><b>Definition:</b> DatabaseItem.h:56</div>
            </div>
            <div class="ttc" id="class_database_item_html_a1e173bac12d68b463ffe0da44cf0fd01">
                <div class="ttname"><a href="class_database_item.html#a1e173bac12d68b463ffe0da44cf0fd01">DatabaseItem::DatabaseItem</a>
                </div>
                <div class="ttdeci">DatabaseItem(DatabaseItem &amp;d)</div>
                <div class="ttdoc">DatabaseItem deep copy of database.</div>
                <div class="ttdef"><b>Definition:</b> DatabaseItem.h:42</div>
            </div>
        </div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
    <ul>
        <li class="navelem"><a class="el" href="dir_1ae4179d5e953611aae20c997279e02c.html">models</a></li>
        <li class="navelem"><a class="el" href="dir_700c5bf6ef75ee8e3de358ef7f4ea2a6.html">Database</a></li>
        <li class="navelem"><a class="el" href="dir_fab7fed2c44dbeb87b372315cc107dde.html">DatabaseItem</a></li>
        <li class="navelem"><b>DatabaseItem.h</b></li>
        <li class="footer">Generated by
            <a href="http://www.doxygen.org/index.html">
                <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11
        </li>
    </ul>
</div>
</body>
</html>
